Clover coverage report - PMD - 3.7 Coverage timestamp: Wed May 31 2006 09:25:59 EDT FRAMES NO FRAMES |
file stats: | LOC: | 28 |  | Methods: | 1
| NCLOC: | 11 |  | Classes: | 1
Source file | Conditionals | Statements | Methods | TOTAL
NLS.java | - | 0% | 0% | 0% |

1 |  | package net.sourceforge.pmd.util.viewer.util;
2 |  |
3 |  | import java.util.ResourceBundle;
4 |  |
5 |  | /**
6 |  | * helps with internationalization
7 |  | *
8 |  | * @author Boris Gruschko ( boris at gruschko.org )
9 |  | * @version $Id: NLS.java,v 1.6 2006/02/10 14:15:31 tomcopeland Exp $
10 |  | */
11 |  | public class NLS {
12 |  | private final static ResourceBundle bundle;
13 |  |
14 |  | static {
15 | 0 | bundle = ResourceBundle.getBundle("net.sourceforge.pmd.util.viewer.resources.viewer_strings");
16 |  | }
17 |  |
18 |  | /**
19 |  | * translates the given key to the message
20 |  | *
21 |  | * @param key key to be translated
22 |  | * @return translated string
23 |  | */
24 | 0 | public static String nls(String key) {
25 | 0 | return bundle.getString(key);
26 |  | }
27 |  | }
28 |  |